ON_HatchLoop Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_hatch.h>`

## Public Types

enum | eLoopType { ltOuter = 0, ltInner = 1 }

## Public Member Functions

| ON_HatchLoop ()
| ON_HatchLoop (ON_Curve *pCurve2d, eLoopType type=ltOuter)
| ON_HatchLoop (const ON_HatchLoop &src)
| ~ON_HatchLoop ()
ON_HatchLoop & | operator= (const ON_HatchLoop &src)
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
const ON_Curve * | Curve () const
bool | SetCurve (const ON_Curve &curve)
eLoopType | Type () const
void | SetType (eLoopType type)

## Protected Attributes

eLoopType | m_type
ON_Curve * | m_p2dCurve

## Friends

class | ON_Hatch

## Detailed Description

Definition at line 24 of file opennurbs_hatch.h.

## Member Enumeration Documentation

## eLoopType

enum ON_HatchLoop::eLoopType

Enumerator
ltOuter |
ltInner |

Definition at line 46 of file opennurbs_hatch.h.

## Constructor & Destructor Documentation

## ON_HatchLoop() [1/3]

ON_HatchLoop::ON_HatchLoop | ( |  | ) |

## ON_HatchLoop() [2/3]

ON_HatchLoop::ON_HatchLoop | ( | ON_Curve * | pCurve2d,
|  | eLoopType | type = `ltOuter`
| ) |  |

## ON_HatchLoop() [3/3]

ON_HatchLoop::ON_HatchLoop | ( | const ON_HatchLoop & | src | ) |

## ~ON_HatchLoop()

ON_HatchLoop::~ON_HatchLoop | ( |  | ) |

## Member Function Documentation

## Curve()

const ON_Curve* ON_HatchLoop::Curve | ( |  | ) | const

## Dump()

void ON_HatchLoop::Dump | ( | ON_TextLog & |  | ) | const

## IsValid()

ON_BOOL32 ON_HatchLoop::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

## operator=()

ON_HatchLoop& ON_HatchLoop::operator= | ( | const ON_HatchLoop & | src | ) |

## Read()

ON_BOOL32 ON_HatchLoop::Read | ( | ON_BinaryArchive & |  | ) |

## SetCurve()

bool ON_HatchLoop::SetCurve | ( | const ON_Curve & | curve | ) |

## SetType()

void ON_HatchLoop::SetType | ( | eLoopType | type | ) |

## Type()

eLoopType ON_HatchLoop::Type | ( |  | ) | const

## Write()

ON_BOOL32 ON_HatchLoop::Write | ( | ON_BinaryArchive & |  | ) | const

## Friends And Related Function Documentation

## ON_Hatch

friend class ON_Hatch

friend

Definition at line 105 of file opennurbs_hatch.h.

## Member Data Documentation

## m_p2dCurve

ON_Curve* ON_HatchLoop::m_p2dCurve

protected

Definition at line 107 of file opennurbs_hatch.h.

## m_type

eLoopType ON_HatchLoop::m_type

protected

Definition at line 106 of file opennurbs_hatch.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_hatch.h